Nagios in full.
authorDean Bailey <alron@gentoo.org>
Sat, 2 Nov 2002 05:55:41 +0000 (05:55 +0000)
committerDean Bailey <alron@gentoo.org>
Sat, 2 Nov 2002 05:55:41 +0000 (05:55 +0000)
25 files changed:
net-analyzer/nagios-core/ChangeLog [new file with mode: 0644]
net-analyzer/nagios-core/files/digest-nagios-core-1.0_beta6 [new file with mode: 0644]
net-analyzer/nagios-core/files/nagios [new file with mode: 0644]
net-analyzer/nagios-core/files/nagios.conf [new file with mode: 0644]
net-analyzer/nagios-core/nagios-core-1.0_beta6.ebuild [new file with mode: 0644]
net-analyzer/nagios-imagepack/ChangeLog [new file with mode: 0644]
net-analyzer/nagios-imagepack/files/digest-nagios-imagepack-1.0 [new file with mode: 0644]
net-analyzer/nagios-imagepack/nagios-imagepack-1.0.ebuild [new file with mode: 0644]
net-analyzer/nagios-nrpe/ChangeLog [new file with mode: 0644]
net-analyzer/nagios-nrpe/files/digest-nagios-nrpe-1.5 [new file with mode: 0644]
net-analyzer/nagios-nrpe/files/nrpe [new file with mode: 0644]
net-analyzer/nagios-nrpe/files/nrpe.cfg [new file with mode: 0644]
net-analyzer/nagios-nrpe/nagios-nrpe-1.5.ebuild [new file with mode: 0644]
net-analyzer/nagios-nsca/ChangeLog [new file with mode: 0644]
net-analyzer/nagios-nsca/files/digest-nagios-nsca-2.1 [new file with mode: 0644]
net-analyzer/nagios-nsca/files/nsca [new file with mode: 0644]
net-analyzer/nagios-nsca/files/nsca.cfg [new file with mode: 0644]
net-analyzer/nagios-nsca/files/send_nsca.cfg [new file with mode: 0644]
net-analyzer/nagios-nsca/nagios-nsca-2.1.ebuild [new file with mode: 0644]
net-analyzer/nagios-plugins/ChangeLog [new file with mode: 0644]
net-analyzer/nagios-plugins/files/digest-nagios-plugins-1.3_beta1 [new file with mode: 0644]
net-analyzer/nagios-plugins/files/install-opts-fix.diff [new file with mode: 0644]
net-analyzer/nagios-plugins/nagios-plugins-1.3_beta1.ebuild [new file with mode: 0644]
net-analyzer/nagios/ChangeLog [new file with mode: 0644]
net-analyzer/nagios/nagios-1.0_beta6.ebuild [new file with mode: 0644]

diff --git a/net-analyzer/nagios-core/ChangeLog b/net-analyzer/nagios-core/ChangeLog
new file mode 100644 (file)
index 0000000..b938972
--- /dev/null
@@ -0,0 +1,7 @@
+# ChangeLog for net-analyzer/nagios-core
+# Copyright 2002 Gentoo Technologies, Inc.; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/nagios-core/ChangeLog,v 1.1 2002/11/02 05:55:41 alron Exp $
+
+*nagios-core-1.0_beta6 (1 Nov 2002)
+  1 Nov 2002; Dean Bailey <alron@gentoo.org> nagios-core-1.0_beta6 :
+  Initial import. Ebuild submitted by Dean Bailey <alron@gentoo.org>.
diff --git a/net-analyzer/nagios-core/files/digest-nagios-core-1.0_beta6 b/net-analyzer/nagios-core/files/digest-nagios-core-1.0_beta6
new file mode 100644 (file)
index 0000000..ae1ad6a
--- /dev/null
@@ -0,0 +1 @@
+MD5 023cb51a54bd1659b2a6a0ac08c0c237 nagios-1.0b6.tar.gz 1612084
diff --git a/net-analyzer/nagios-core/files/nagios b/net-analyzer/nagios-core/files/nagios
new file mode 100644 (file)
index 0000000..b8c5318
--- /dev/null
@@ -0,0 +1,31 @@
+#!/sbin/runscript
+# Copyright 1999-2002 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+
+depend() {
+       need net
+       use dns logger
+}
+
+start() {
+       ebegin "Starting nagios"
+       su - nagios -c "touch /var/nagios/nagios.log /var/nagios/status.sav"
+       rm -f /var/nagios/rw/nagios.cmd
+       start-stop-daemon -o --quiet --start --startas /usr/nagios/bin/nagios \
+               --pidfile /var/nagios/nagios.lock -- -d /etc/nagios/nagios.cfg
+       eend $?
+}
+
+stop() {
+       ebegin "Stopping nagios"
+       start-stop-daemon -o --quiet --stop --pidfile /var/nagios/nagios.lock
+       rm -f /var/nagios/status.log /var/nagios/nagios.tmp /var/nagios/nagios.lock /var/nagios/rw/nagios.cmd
+       eend $?
+}
+
+svc_restart() {
+       ebegin "Restarting nagios"
+       svc_stop
+       svc_start
+       eend $?
+}
diff --git a/net-analyzer/nagios-core/files/nagios.conf b/net-analyzer/nagios-core/files/nagios.conf
new file mode 100644 (file)
index 0000000..e26cffd
--- /dev/null
@@ -0,0 +1,19 @@
+<IfDefine NAGIOS>
+
+ScriptAlias /nagios/cgi-bin/ /usr/nagios/sbin/
+<Directory "/usr/nagios/sbin/">
+    AllowOverride AuthConfig
+    Options ExecCGI
+    Order allow,deny
+    Allow from all
+</Directory>
+
+
+Alias /nagios/ /usr/nagios/share/
+<Directory "/usr/nagios/share">
+    AllowOverride AuthConfig
+    Order allow,deny
+    Allow from all
+</Directory>
+
+</IfDefine>
diff --git a/net-analyzer/nagios-core/nagios-core-1.0_beta6.ebuild b/net-analyzer/nagios-core/nagios-core-1.0_beta6.ebuild
new file mode 100644 (file)
index 0000000..c5ea31f
--- /dev/null
@@ -0,0 +1,87 @@
+# Copyright 1999-2002 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/nagios-core/nagios-core-1.0_beta6.ebuild,v 1.1 2002/11/02 05:55:41 alron Exp $
+DESCRIPTION="Nagios #PV core - Host and service monitor cgi, docs etc..."
+HOMEPAGE="http://www.nagios.org/"
+SRC_URI="http://telia.dl.sourceforge.net/sourceforge/nagios/nagios-1.0b6.tar.gz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE=""
+DEPEND=">=jpeg-6b-r2
+               >=libpng-1.2.4
+               >=libgd-1.8.3-r5
+               >=perl-5.6.1-r7
+               >=traceroute-1.4_p12
+               >=mailx-8.1.1.11
+               >=apache-1.3.27-r1"
+S="${WORKDIR}/nagios-1.0b6"
+
+src_compile() {
+       ./configure \
+               --host=${CHOST} \
+               --prefix=/usr/nagios \
+               --localstatedir=/var/nagios \
+               --sysconfdir=/etc/nagios \
+               --enable-embedded-perl \
+               --with-perlcache \
+               --infodir=/usr/share/info \
+               --mandir=/usr/share/man || die "./configure failed"
+       emake all || die
+}
+
+src_install() {
+       dodoc Changelog INSTALLING LEGAL LICENSE README UPGRADING
+       make DESTDIR=${D} COMMAND_OPTS="" INSTALL_OPTS="" install install-config install-commandmode || die
+       insinto /etc/apache/conf/addon-modules
+       doins ${FILESDIR}/nagios.conf
+       exeinto /etc/init.d
+       doexe ${FILESDIR}/nagios
+}
+pkg_preinst() {
+
+    userdel nagios 2> /dev/null
+    if ! groupmod nagios; then
+        groupadd -g 75 nagios 2> /dev/null || \
+            die "Failed to create nagios group"
+    fi
+    useradd -u 75 -g nagios -s /dev/null -d /var/empty -c "nagios" nagios || \
+        die "Failed to create nagios user"
+       chown -R nagios:nagios ${D}/etc/nagios || die "Failed Chown of ${D}/etc/nagios"
+       chown -R nagios:nagios ${D}/usr/nagios || die "Failed Chown of ${D}/usr/nagios"
+       chown -R nagios:nagios ${D}/var/nagios || die "Failed Chown of ${D}/var/nagios"
+       chown nagios:apache ${D}/var/nagios/rw || die "Failed Chown of ${D}/var/nagios/rw"
+}
+pkg_postinst() {
+       einfo 
+       einfo "Remember to edit the config files in /etc/nagios"
+       einfo "Also, if you want nagios to start at boot time"
+       einfo "remember to execute rc-update add nagios default"
+       einfo
+       einfo "To have nagios visable on the web, please do the following:"
+       einfo "1. Execute the command:"
+       einfo " \"ebuild /var/db/pkg/net-misc/${PF}/${PF}.ebuild config\""
+       einfo " 2. Edit /etc/conf.d/apache and add \"-D NAGIOS\""
+       einfo
+       einfo "That will make nagios's web front end visable via"
+       einfo "http://localhost/nagios/"
+       einfo
+       einfo "The Apache config file for nagios will be in"
+       einfo "/etc/apache/conf/addon-modules/ with the name of"
+       einfo "nagios.conf."
+       einfo "Also, if your kernel has /proc protection, nagios"
+       einfo "will not be happy as it relies on accessing the proc"
+       einfo "filesystem."
+       einfo
+}
+
+pkg_config() {
+               echo "Include  conf/addon-modules/nagios.conf" \
+                       >> ${ROOT}/etc/apache/conf/apache.conf
+       einfo
+       einfo "Remember to edit /etc/conf.d/apache and add \"-D NAGIOS\""
+       einfo
+}
+pkg_prerm() {
+       /etc/init.d/nagios stop
+}
diff --git a/net-analyzer/nagios-imagepack/ChangeLog b/net-analyzer/nagios-imagepack/ChangeLog
new file mode 100644 (file)
index 0000000..e7cf073
--- /dev/null
@@ -0,0 +1,7 @@
+# ChangeLog for net-analyzer/nagios-imagepack
+# Copyright 2002 Gentoo Technologies, Inc.; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/nagios-imagepack/ChangeLog,v 1.1 2002/11/02 05:55:41 alron Exp $
+
+*nagios-imagepack-1.0  (1 Nov 2002)
+  1 Nov 2002; Dean Bailey <alron@gentoo.org> nagios-imagepack1.0 :
+  Initial import. Ebuild submitted by Dean Bailey <alron@gentoo.org>.
diff --git a/net-analyzer/nagios-imagepack/files/digest-nagios-imagepack-1.0 b/net-analyzer/nagios-imagepack/files/digest-nagios-imagepack-1.0
new file mode 100644 (file)
index 0000000..41bac9f
--- /dev/null
@@ -0,0 +1,7 @@
+MD5 6e3d35113812e19a2803281a3317fffb imagepak-andrade.tar.gz 1242799
+MD5 35b75ece533dfdf4963a67ce4e77fc4a imagepak-base.tar.gz 154513
+MD5 cd711110929fd2487234172a533e82c5 imagepak-bernhard.tar.gz 100585
+MD5 83e98389e5b7fb39d2c0e3a96d5ca585 imagepak-didier.tar.gz 51510
+MD5 76595744dae8153c921c4af6bf18383d imagepak-remus.tar.gz 32691
+MD5 3ed26d8b49379e0dc14f448d5c2a70c3 imagepak-satrapa.tar.gz 28559
+MD5 842e2dcdc32c7e1a33c78675a1fbb594 imagepak-werschler.tar.gz 38244
diff --git a/net-analyzer/nagios-imagepack/nagios-imagepack-1.0.ebuild b/net-analyzer/nagios-imagepack/nagios-imagepack-1.0.ebuild
new file mode 100644 (file)
index 0000000..a299e50
--- /dev/null
@@ -0,0 +1,43 @@
+# Copyright 1999-2002 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/nagios-imagepack/nagios-imagepack-1.0.ebuild,v 1.1 2002/11/02 05:55:41 alron Exp $
+
+S=${WORKDIR}/${P}
+DESCRIPTION="Nagios imagepacks - Icons and pictures for Nagios"
+HOMEPAGE="http://www.nagios.org"
+IMAGE_URI="http://telia.dl.sourceforge.net/sourceforge/nagios/"
+SRC_URI="
+       ${IMAGE_URI}/imagepak-andrade.tar.gz
+       ${IMAGE_URI}/imagepak-base.tar.gz
+       ${IMAGE_URI}/imagepak-bernhard.tar.gz
+       ${IMAGE_URI}/imagepak-didier.tar.gz
+       ${IMAGE_URI}/imagepak-remus.tar.gz
+       ${IMAGE_URI}/imagepak-satrapa.tar.gz
+       ${IMAGE_URI}/imagepak-werschler.tar.gz
+"
+
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~x86"
+
+RDEPEND="net-analyzer/nagios-core"
+
+src_unpack() {
+       local bn
+       mkdir ${S}
+       cd ${S}
+       for i in ${SRC_URI} ; do
+               bn=`basename $i`
+                       unpack ${bn}
+       done
+}
+
+src_compile() {
+       einfo "No compilation necessary."
+}
+
+src_install () {
+       insinto /usr/nagios/share/images/logos
+       doins base/* didier/* imagepak-andrade/* imagepak-bernhard/* remus/* satrapa/* werschler/*
+}
diff --git a/net-analyzer/nagios-nrpe/ChangeLog b/net-analyzer/nagios-nrpe/ChangeLog
new file mode 100644 (file)
index 0000000..952b920
--- /dev/null
@@ -0,0 +1,7 @@
+# ChangeLog for net-analyzer/nagios-nrpe
+# Copyright 2002 Gentoo Technologies, Inc.; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/nagios-nrpe/ChangeLog,v 1.1 2002/11/02 05:55:41 alron Exp $
+
+*nagios-nrpe-1.5       (1 Nov 2002)
+  1 Nov 2002; Dean Bailey <alron@gentoo.org> nagios-nrpe-1.5 :
+  Initial import. Ebuild submitted by Dean Bailey <alron@gentoo.org>.
diff --git a/net-analyzer/nagios-nrpe/files/digest-nagios-nrpe-1.5 b/net-analyzer/nagios-nrpe/files/digest-nagios-nrpe-1.5
new file mode 100644 (file)
index 0000000..9d8d88b
--- /dev/null
@@ -0,0 +1 @@
+MD5 6f9f696e24fe380839e01fc57e29206b nrpe-1.5.tar.gz 38232
diff --git a/net-analyzer/nagios-nrpe/files/nrpe b/net-analyzer/nagios-nrpe/files/nrpe
new file mode 100644 (file)
index 0000000..3989bca
--- /dev/null
@@ -0,0 +1,27 @@
+#!/sbin/runscript
+
+depend() {
+       need net
+}
+
+start() {
+       ebegin "Starting nrpe"
+       start-stop-daemon --start --quiet --name nrpe \
+       --startas /usr/nagios/bin/nrpe \
+               -c nagios:nagios \
+               -- -d /etc/nagios/nrpe.cfg
+       eend $? "Failed to Start nrpe"
+}
+
+stop() {
+       ebegin "Stopping nrpe"
+       start-stop-daemon --stop --quiet -n nrpe
+       eend $? "Failed to Stop nrpe"
+}
+
+restart() {
+       ebegin "Restarting nrpe"
+       svc_stop
+       svc_start
+       eend $? "Failed to Restart nrpe"
+}
diff --git a/net-analyzer/nagios-nrpe/files/nrpe.cfg b/net-analyzer/nagios-nrpe/files/nrpe.cfg
new file mode 100644 (file)
index 0000000..3132ea3
--- /dev/null
@@ -0,0 +1,99 @@
+#############################################################################
+# Sample NRPE Config File 
+# Written by: Ethan Galstad (nagios@nagios.org)
+# 
+# Last Modified: 06-03-2002
+#
+# NOTES:
+# This is a sample configuration file for the NRPE daemon.  It needs to be
+# located on the remote host that is running the NRPE daemon, not the host
+# from which the check_nrpe client is being executed.
+#############################################################################
+
+
+
+# PORT NUMBER
+# Port number we should wait for connections on.
+# NOTE: This must be a non-priviledged port (i.e. > 1024).
+# NOTE: This option is ignored if NRPE is running under either inetd or xinetd
+
+server_port=5666
+
+
+
+# SERVER ADDRESS
+# Address that nrpe should bind to in case there are more than one interface
+# and you do not want nrpe to bind on all interfaces.
+# NOTE: This option is ignored if NRPE is running under either inetd or xinetd
+
+#server_address=192.168.1.1
+
+
+
+# ALLOWED HOST ADDRESSES
+# This is a comma-delimited list of IP address of hosts that are allowed
+# to talk to the NRPE daemon.
+#
+# NOTE: The daemon only does rudimentary checking of the client's IP
+#       address.  I would highly recommend adding entries in your
+#      /etc/hosts.allow file to allow only the specified host to connect
+#      to the port you are running this daemon on.
+#
+# NOTE: This option is ignored if NRPE is running under either inetd or xinetd
+
+allowed_hosts=127.0.0.1
+
+
+
+# NRPE USER
+# This determines the effective user that the NRPE daemon should run as.  
+# You can either supply a username or a UID.
+# 
+# NOTE: This option is ignored if NRPE is running under either inetd or xinetd
+
+nrpe_user=nagios
+
+
+
+# NRPE GROUP
+# This determines the effective group that the NRPE daemon should run as.  
+# You can either supply a group name or a GID.
+# 
+# NOTE: This option is ignored if NRPE is running under either inetd or xinetd
+
+nrpe_group=nagios
+
+
+
+# DEBUGGING OPTION
+# This option determines whether or not debugging messages are logged to the
+# syslog facility.
+# Values: 0=debugging off, 1=debugging on
+
+debug=0
+
+
+
+# COMMAND DEFINITIONS
+# Command definitions that this daemon will run.  Definitions
+# are in the following format:
+#
+# command[<command_name>]=<command_line>
+#
+# When the daemon receives a request to return the results of <command_name>
+# it will execute the command specified by the <command_line> argument.
+#
+# Unlike Nagios, the command line cannot contain macros - it must be
+# typed exactly as it should be executed.
+#
+# Note: Any plugins that are used in the command lines must reside
+# on the machine that this daemon is running on!  The examples below
+# assume that you have plugins installed in a /usr/nagios/libexec
+# directory.
+
+command[check_users]=/usr/nagios/libexec/check_users 5 10
+command[check_load]=/usr/nagios/libexec/check_load 5 10 15 20 25 30
+command[check_disk1]=/usr/nagios/libexec/check_disk 80 95 /dev/hda1
+command[check_disk2]=/usr/nagios/libexec/check_disk 80 95 /dev/hdb1
+command[check_zombie_procs]=/usr/nagios/libexec/check_procs 5 10 Z
+command[check_total_procs]=/usr/nagios/libexec/check_procs 150 200 
diff --git a/net-analyzer/nagios-nrpe/nagios-nrpe-1.5.ebuild b/net-analyzer/nagios-nrpe/nagios-nrpe-1.5.ebuild
new file mode 100644 (file)
index 0000000..85aaa7f
--- /dev/null
@@ -0,0 +1,45 @@
+# Copyright 1999-2002 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/nagios-nrpe/nagios-nrpe-1.5.ebuild,v 1.1 2002/11/02 05:55:41 alron Exp $
+DESCRIPTION="Nagios $PV NRPE - Nagios Remote Plugin Executor"
+HOMEPAGE="http://www.nagios.org/"
+SRC_URI="http://telia.dl.sourceforge.net/sourceforge/nagios/nrpe-1.5.tar.gz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE=""
+DEPEND=">=net-analyzer/nagios-plugins-1.3_beta1"
+S="${WORKDIR}/nrpe-1.5"
+
+src_compile() {
+       ./configure \
+               --host=${CHOST} \
+               --prefix=/usr/nagios \
+               --localstatedir=/var/nagios \
+               --sysconfdir=/etc/nagios \
+               --with-nrpe-user=nagios \
+               --with-nrpe-grp=nagios \
+               --infodir=/usr/share/info \
+               --mandir=/usr/share/man || die "./configure failed"
+       emake all || die
+}
+
+src_install() {
+       dodoc LEGAL Changelog README
+       insinto /etc/nagios
+       doins ${FILESDIR}/nrpe.cfg
+       exeinto /usr/nagios/bin
+       doexe src/nrpe
+       fowners nagios:nagios /usr/nagios/bin/nrpe
+       exeinto /usr/nagios/libexec
+       doexe src/check_nrpe
+       fowners nagios:nagios /usr/nagios/libexec/check_nrpe
+       exeinto /etc/init.d
+       doexe ${FILESDIR}/nrpe
+}
+pkg_postinst() {
+       einfo 
+       einfo "If you are using the nrpe daemon, remember to edit"
+       einfo "the config file /etc/nagios/nrpe.cfg"
+       einfo
+}
diff --git a/net-analyzer/nagios-nsca/ChangeLog b/net-analyzer/nagios-nsca/ChangeLog
new file mode 100644 (file)
index 0000000..18cf5c2
--- /dev/null
@@ -0,0 +1,7 @@
+# ChangeLog for net-analyzer/nagios-nsca
+# Copyright 2002 Gentoo Technologies, Inc.; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/nagios-nsca/ChangeLog,v 1.1 2002/11/02 05:55:41 alron Exp $
+
+*nagios-nsca-2.1       (1 Nov 2002)
+  1 Nov 2002; Dean Bailey <alron@gentoo.org> nagios-nsca-2.1 :
+  Initial import. Ebuild submitted by Dean Bailey <alron@gentoo.org>.
diff --git a/net-analyzer/nagios-nsca/files/digest-nagios-nsca-2.1 b/net-analyzer/nagios-nsca/files/digest-nagios-nsca-2.1
new file mode 100644 (file)
index 0000000..604f180
--- /dev/null
@@ -0,0 +1 @@
+MD5 a7886852eb11b6a018fff6990075db1e nsca-2.1.tar.gz 51897
diff --git a/net-analyzer/nagios-nsca/files/nsca b/net-analyzer/nagios-nsca/files/nsca
new file mode 100644 (file)
index 0000000..d81c4a1
--- /dev/null
@@ -0,0 +1,27 @@
+#!/sbin/runscript
+
+depend() {
+       need net
+}
+
+start() {
+       ebegin "Starting nsca"
+       start-stop-daemon --start --quiet --name nsca \
+       --startas /usr/nagios/bin/nsca \
+               -c nagios:nagios \
+               -- -d /etc/nagios/nsca.cfg
+       eend $? "Failed to Start nsca"
+}
+
+stop() {
+       ebegin "Stopping nsca"
+       start-stop-daemon --stop --quiet -n nsca
+       eend $? "Failed to Stop nsca"
+}
+
+restart() {
+       ebegin "Restarting nsca"
+       svc_stop
+       svc_start
+       eend $? "Failed to Restart nsca"
+}
diff --git a/net-analyzer/nagios-nsca/files/nsca.cfg b/net-analyzer/nagios-nsca/files/nsca.cfg
new file mode 100644 (file)
index 0000000..e7e0402
--- /dev/null
@@ -0,0 +1,182 @@
+####################################################
+# Sample NSCA Daemon Config File 
+# Written by: Ethan Galstad (nagios@nagios.org)
+# 
+# Last Modified: 06-10-2002
+####################################################
+
+
+
+# PORT NUMBER
+# Port number we should wait for connections on.
+# This must be a non-priveledged port (i.e. > 1024).
+
+server_port=5667
+
+
+
+# SERVER ADDRESS
+# Address that nrpe has to bind to in case there are
+# more as one interface and we do not want nrpe to bind
+# (thus listen) on all interfaces.
+
+#server_address=192.168.1.1
+
+
+
+# ALLOWED HOST ADDRESSES
+# This is a comma-delimited list of IP address of hosts that are allowed
+# to talk to the NSCA daemon.
+#
+# Note: The daemon only does rudimentary checking of the client's IP
+# address.  I would highly recommend running as a service under
+# inetd instead of as a standalone daemon and using TCP wrappers to
+# limit access.
+
+allowed_hosts=127.0.0.1
+
+
+
+# NSCA USER
+# This determines the effective user that the NSCA daemon should run as.  
+# You can either supply a username or a UID.
+# 
+# NOTE: This option is ignored if NSCA is running under either inetd or xinetd
+
+nsca_user=nagios
+
+
+
+# NSCA GROUP
+# This determines the effective group that the NSCA daemon should run as.  
+# You can either supply a group name or a GID.
+# 
+# NOTE: This option is ignored if NSCA is running under either inetd or xinetd
+
+nsca_group=nagios
+
+
+
+# DEBUGGING OPTION
+# This option determines whether or not debugging
+# messages are logged to the syslog facility. 
+# Values: 0 = debugging off, 1 = debugging on
+
+debug=0
+
+
+
+# COMMAND FILE
+# This is the location of the Nagios command file that the daemon
+# should write all service check results that it receives.
+
+command_file=/var/nagios/rw/nagios.cmd
+
+
+# ALTERNATE DUMP FILE
+# This is used to specify an alternate file the daemon should
+# write service check results to in the event the command file
+# does not exist.  It is important to note that the command file
+# is implemented as a named pipe and only exists when Nagios is
+# running.  You may want to modify the startup script for Nagios
+# to dump the contents of this file into the command file after
+# it starts Nagios.  Or you may simply choose to ignore any
+# check results received while Nagios was not running...
+
+alternate_dump_file=/var/nagios/rw/nsca.dump
+
+
+
+# AGGREGATED WRITES OPTION
+# This option determines whether or not the nsca daemon will
+# aggregate writes to the external command file for client
+# connections that contain multiple check results.  If you
+# are queueing service check results on remote hosts and
+# sending them to the nsca daemon in bulk, you will probably
+# want to enable bulk writes, as this will be a bit more
+# efficient.
+# Values: 0 = do not aggregate writes, 1 = aggregate writes
+
+aggregate_writes=0
+
+
+
+# APPEND TO FILE OPTION
+# This option determines whether or not the nsca daemon will
+# will open the external command file for writing or appending.
+# This option should almost *always* be set to 0!
+# Values: 0 = open file for writing, 1 = open file for appending
+
+append_to_file=0
+
+
+
+# MAX PACKET AGE OPTION
+# This option is used by the nsca daemon to determine when client
+# data is too old to be valid.  Keeping this value as small as
+# possible is recommended, as it helps prevent the possibility of
+# "replay" attacks.  This value needs to be at least as long as
+# the time it takes your clients to send their data to the server.
+# Values are in seconds.  The max packet age cannot exceed 15
+# minutes (900 seconds).
+
+max_packet_age=30
+
+
+
+# DECRYPTION PASSWORD
+# This is the password/passphrase that should be used to descrypt the
+# incoming packets.  Note that all clients must encrypt the packets
+# they send using the same password!
+# IMPORTANT: You don't want all the users on this system to be able
+# to read the password you specify here, so make sure to set
+# restrictive permissions on this config file!
+
+#password=
+
+
+
+# DECRYPTION METHOD
+# This option determines the method by which the nsca daemon will
+# decrypt the packets it receives from the clients.  The decryption
+# method you choose will be a balance between security and performance,
+# as strong encryption methods consume more processor resources.
+# You should evaluate your security needs when choosing a decryption
+# method.
+#
+# Note: The decryption method you specify here must match the
+#       encryption method the nsca clients use (as specified in
+#       the send_nsca.cfg file)!!
+# Values:
+#
+#      0 = None        (Do NOT use this option)
+#       1 = Simple XOR  (No security, just obfuscation, but very fast)
+#
+#       2 = DES
+#       3 = 3DES (Triple DES)
+#      4 = CAST-128
+#      5 = CAST-256
+#      6 = xTEA
+#      7 = 3WAY
+#      8 = BLOWFISH
+#      9 = TWOFISH
+#      10 = LOKI97
+#      11 = RC2
+#      12 = ARCFOUR
+#
+#      14 = RIJNDAEL-128
+#      15 = RIJNDAEL-192
+#      16 = RIJNDAEL-256
+#
+#      19 = WAKE
+#      20 = SERPENT
+#
+#      22 = ENIGMA (Unix crypt)
+#      23 = GOST
+#      24 = SAFER64
+#      25 = SAFER128
+#      26 = SAFER+
+#
+
+decryption_method=1
+
diff --git a/net-analyzer/nagios-nsca/files/send_nsca.cfg b/net-analyzer/nagios-nsca/files/send_nsca.cfg
new file mode 100644 (file)
index 0000000..60196c0
--- /dev/null
@@ -0,0 +1,63 @@
+####################################################
+# Sample NSCA Client Config File 
+# Written by: Ethan Galstad (nagios@nagios.org)
+# 
+# Last Modified: 02-21-2002
+####################################################
+
+
+# ENCRYPTION PASSWORD
+# This is the password/passphrase that should be used to encrypt the
+# outgoing packets.  Note that the nsca daemon must use the same 
+# password when decrypting the packet!
+# IMPORTANT: You don't want all the users on this system to be able
+# to read the password you specify here, so make sure to set
+# restrictive permissions on this config file!
+
+#password=
+
+
+
+# ENCRYPTION METHOD
+# This option determines the method by which the send_nsca client will
+# encrypt the packets it sends to the nsca daemon.  The encryption
+# method you choose will be a balance between security and performance,
+# as strong encryption methods consume more processor resources.
+# You should evaluate your security needs when choosing an encryption
+# method.
+#
+# Note: The encryption method you specify here must match the
+#       decryption method the nsca daemon uses (as specified in
+#       the nsca.cfg file)!!
+# Values:
+#      0 = None        (Do NOT use this option)
+#       1 = Simple XOR  (No security, just obfuscation, but very fast)
+#
+#       2 = DES
+#       3 = 3DES (Triple DES)
+#      4 = CAST-128
+#      5 = CAST-256
+#      6 = xTEA
+#      7 = 3WAY
+#      8 = BLOWFISH
+#      9 = TWOFISH
+#      10 = LOKI97
+#      11 = RC2
+#      12 = ARCFOUR
+#
+#      14 = RIJNDAEL-128
+#      15 = RIJNDAEL-192
+#      16 = RIJNDAEL-256
+#
+#      19 = WAKE
+#      20 = SERPENT
+#
+#      22 = ENIGMA (Unix crypt)
+#      23 = GOST
+#      24 = SAFER64
+#      25 = SAFER128
+#      26 = SAFER+
+#
+
+encryption_method=1
+
diff --git a/net-analyzer/nagios-nsca/nagios-nsca-2.1.ebuild b/net-analyzer/nagios-nsca/nagios-nsca-2.1.ebuild
new file mode 100644 (file)
index 0000000..96d95fa
--- /dev/null
@@ -0,0 +1,47 @@
+# Copyright 1999-2002 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/nagios-nsca/nagios-nsca-2.1.ebuild,v 1.1 2002/11/02 05:55:41 alron Exp $
+DESCRIPTION="Nagios $PV NSCA  - Nagios Service Check Acceptor"
+HOMEPAGE="http://www.nagios.org/"
+SRC_URI="http://telia.dl.sourceforge.net/sourceforge/nagios/nsca-2.1.tar.gz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE=""
+DEPEND=">=net-analyzer/nagios-plugins-1.3_beta1
+               >=libmcrypt-2.5.1-r4"
+S="${WORKDIR}/nsca-2.1"
+
+src_compile() {
+       ./configure \
+               --host=${CHOST} \
+               --prefix=/usr/nagios \
+               --localstatedir=/var/nagios \
+               --sysconfdir=/etc/nagios \
+               --with-nsca-user=nagios \
+               --with-nsca-grp=nagios \
+               --infodir=/usr/share/info \
+               --mandir=/usr/share/man || die "./configure failed"
+       emake all || die
+}
+
+src_install() {
+       dodoc LEGAL Changelog README SECURITY
+       insinto /etc/nagios
+       doins ${FILESDIR}/nsca.cfg
+       doins ${FILESDIR}/send_nsca.cfg
+       exeinto /usr/nagios/bin
+       doexe src/nsca
+       fowners nagios:nagios /usr/nagios/bin/nsca
+       exeinto /usr/nagios/libexec
+       doexe src/send_nsca
+       fowners nagios:nagios /usr/nagios/libexec/send_nsca
+       exeinto /etc/init.d
+       doexe ${FILESDIR}/nsca
+}
+pkg_postinst() {
+       einfo 
+       einfo "If you are using the nsca daemon, remember to edit"
+       einfo "the config file /etc/nagios/nsca.cfg"
+       einfo
+}
diff --git a/net-analyzer/nagios-plugins/ChangeLog b/net-analyzer/nagios-plugins/ChangeLog
new file mode 100644 (file)
index 0000000..4d1cba9
--- /dev/null
@@ -0,0 +1,7 @@
+# ChangeLog for net-analyzer/nagios-plugins
+# Copyright 2002 Gentoo Technologies, Inc.; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/nagios-plugins/ChangeLog,v 1.1 2002/11/02 05:55:41 alron Exp $
+
+*nagios-plugins-1.3_beta1      (1 Nov 2002)
+  1 Nov 2002; Dean Bailey <alron@gentoo.org> nagios-plugins-1.3_beta1 :
+  Initial import. Ebuild submitted by Dean Bailey <alron@gentoo.org>.
diff --git a/net-analyzer/nagios-plugins/files/digest-nagios-plugins-1.3_beta1 b/net-analyzer/nagios-plugins/files/digest-nagios-plugins-1.3_beta1
new file mode 100644 (file)
index 0000000..00e0797
--- /dev/null
@@ -0,0 +1 @@
+MD5 be984a7feebe0f6f3ecf13255f18014d nagiosplug-1.3-beta1.tar.gz 417606
diff --git a/net-analyzer/nagios-plugins/files/install-opts-fix.diff b/net-analyzer/nagios-plugins/files/install-opts-fix.diff
new file mode 100644 (file)
index 0000000..20a8424
--- /dev/null
@@ -0,0 +1,74 @@
+diff -urh nagiosplug-1.3-beta1.new/Makefile.in nagiosplug-1.3-beta1/Makefile.in
+--- nagiosplug-1.3-beta1.new/Makefile.in       2002-06-13 07:02:17.000000000 -0700
++++ nagiosplug-1.3-beta1/Makefile.in   2002-10-30 20:41:54.000000000 -0800
+@@ -68,7 +68,6 @@
+ EXTRAS = @EXTRAS@
+ HOSTNAME = @HOSTNAME@
+ INSTALL = @INSTALL@
+-INSTALL_OPTS = @INSTALL_OPTS@
+ LDAPINCLUDE = @LDAPINCLUDE@
+ LDAPLIBS = @LDAPLIBS@
+ MYSQLLIBS = @MYSQLLIBS@
+diff -urh nagiosplug-1.3-beta1.new/configure.in nagiosplug-1.3-beta1/configure.in
+--- nagiosplug-1.3-beta1.new/configure.in      2002-06-12 20:03:07.000000000 -0700
++++ nagiosplug-1.3-beta1/configure.in  2002-10-30 20:42:50.000000000 -0800
+@@ -46,8 +46,6 @@
+ AC_ARG_WITH(nagios_group,--with-nagios-group=<group> sets group name to run nagios,nagios_grp=$withval,nagios_grp=nagios)
+ AC_SUBST(nagios_usr)
+ AC_SUBST(nagios_grp)
+-INSTALL_OPTS="-o $nagios_usr -g $nagios_grp"
+-AC_SUBST(INSTALL_OPTS)
+ 
+ AC_ARG_WITH(trusted_path,--with-trusted-path=/bin:/sbin:/usr/bin:/usr/sbin sets trusted path for executables called by scripts,trusted_path=$withval,trusted_path=/bin:/sbin:/usr/bin:/usr/sbin)
+ AC_SUBST(trusted_path)
+@@ -158,7 +156,7 @@
+ dnl Check for mysql libraries
+ _SAVEDLIBS="$LIBS"
+ _SAVEDCPPFLAGS="$CPPFLAGS"
+-CPPFLAGS="-I/usr/include"
++CPPFLAGS="-I/usr/include/mysql"
+ AC_ARG_WITH(mysqllibdir,--with-mysqllibdir=<dir> sets path to mysql libraries,[MYSQLLIBDIR=$withval])
+ if test -n "$MYSQLLIBS"; then
+   AC_CHECK_LIB(mysqlclient,mysql_init,MYSQLLIBS="-lmysqlclient -lz" check_mysql_LDFLAGS="-L$MYSQLLIBDIR",,-L$MYSQLLIBDIR -lz)
+diff -urh nagiosplug-1.3-beta1.new/plugins/Makefile.am nagiosplug-1.3-beta1/plugins/Makefile.am
+--- nagiosplug-1.3-beta1.new/plugins/Makefile.am       2002-02-27 22:42:57.000000000 -0800
++++ nagiosplug-1.3-beta1/plugins/Makefile.am   2002-10-30 20:41:54.000000000 -0800
+@@ -31,7 +31,6 @@
+ test:
+       perl -I $(top_builddir) -I $(top_srcdir) ../test.pl
+ 
+-AM_INSTALL_PROGRAM_FLAGS = @INSTALL_OPTS@
+ 
+ ##############################################################################
+ # the actual targets
+diff -urh nagiosplug-1.3-beta1.new/plugins/Makefile.in nagiosplug-1.3-beta1/plugins/Makefile.in
+--- nagiosplug-1.3-beta1.new/plugins/Makefile.in       2002-06-13 07:02:17.000000000 -0700
++++ nagiosplug-1.3-beta1/plugins/Makefile.in   2002-10-30 20:41:54.000000000 -0800
+@@ -67,7 +67,6 @@
+ EXTRAS = @EXTRAS@
+ HOSTNAME = @HOSTNAME@
+ INSTALL = @INSTALL@
+-INSTALL_OPTS = @INSTALL_OPTS@
+ LDAPINCLUDE = @LDAPINCLUDE@
+ LDAPLIBS = @LDAPLIBS@
+ MYSQLLIBS = @MYSQLLIBS@
+@@ -144,8 +143,6 @@
+ 
+ TESTS = @PLUGIN_TEST@
+ 
+-AM_INSTALL_PROGRAM_FLAGS = @INSTALL_OPTS@
+-
+ ##############################################################################
+ # the actual targets
+ 
+diff -urh nagiosplug-1.3-beta1.new/plugins-scripts/Makefile.in nagiosplug-1.3-beta1/plugins-scripts/Makefile.in
+--- nagiosplug-1.3-beta1.new/plugins-scripts/Makefile.in       2002-06-13 07:02:17.000000000 -0700
++++ nagiosplug-1.3-beta1/plugins-scripts/Makefile.in   2002-10-30 20:41:54.000000000 -0800
+@@ -67,7 +67,6 @@
+ EXTRAS = @EXTRAS@
+ HOSTNAME = @HOSTNAME@
+ INSTALL = @INSTALL@
+-INSTALL_OPTS = @INSTALL_OPTS@
+ LDAPINCLUDE = @LDAPINCLUDE@
+ LDAPLIBS = @LDAPLIBS@
+ MYSQLLIBS = @MYSQLLIBS@
diff --git a/net-analyzer/nagios-plugins/nagios-plugins-1.3_beta1.ebuild b/net-analyzer/nagios-plugins/nagios-plugins-1.3_beta1.ebuild
new file mode 100644 (file)
index 0000000..2fddfa8
--- /dev/null
@@ -0,0 +1,49 @@
+# Copyright 1999-2002 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/nagios-plugins/nagios-plugins-1.3_beta1.ebuild,v 1.1 2002/11/02 05:55:41 alron Exp $
+DESCRIPTION="Nagios #PV plugins - Pack of plugins to make Nagios work properly"
+HOMEPAGE="http://www.nagios.org/"
+SRC_URI="http://telia.dl.sourceforge.net/sourceforge/nagiosplug/nagiosplug-1.3-beta1.tar.gz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE=""
+DEPEND=">=bind-tools-9.2.2_rc1
+               >=openssl-0.9.6g
+               >=perl-5.6.1-r7
+               >=fping-2.4_beta2-r1
+               >=ntp-4.1.1a
+               >=Net-SNMP-4.0.1-r1
+               >=net-snmp-5.0.6
+               >=samba-2.2.5-r1
+               >=openssh-3.5_p1
+               >=mysql-3.23.52-r1
+               >=autoconf-2.53a"
+S="${WORKDIR}/nagiosplug-1.3-beta1"
+src_compile() {
+       patch -p1 < ${FILESDIR}/install-opts-fix.diff
+       autoconf
+       ./configure \
+               --host=${CHOST} \
+               --prefix=/usr/nagios \
+               --with-nagios-user=nagios \
+               --sysconfdir=/etc/nagios \
+               --infodir=/usr/share/info \
+               --mandir=/usr/share/man || die "./configure failed"
+       make || die
+}
+
+src_install() {
+       dodoc AUTHORS CODING COPYING ChangeLog FAQ INSTALL LEGALNEWS README REQUIREMENTS ROADMAP Requirements
+       make DESTDIR=${D} install || die
+}
+pkg_preinst() {
+       userdel nagios 2> /dev/null
+       if ! groupmod nagios; then
+               groupadd -g 75 nagios 2> /dev/null || \
+               die "Failed to create nagios group"
+       fi
+       useradd -u 75 -g nagios -s /dev/null -d /var/empty -c "nagios" nagios || \
+       die "Failed to create nagios user"
+       chown -R nagios:nagios ${D}/usr/nagios/libexec || die "Failed Chown of ${D}/usr/nagios/libexec"
+}
diff --git a/net-analyzer/nagios/ChangeLog b/net-analyzer/nagios/ChangeLog
new file mode 100644 (file)
index 0000000..623ed1f
--- /dev/null
@@ -0,0 +1,7 @@
+# ChangeLog for net-analyzer/nagios
+# Copyright 2002 Gentoo Technologies, Inc.; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/nagios/ChangeLog,v 1.1 2002/11/02 05:55:41 alron Exp $
+
+*nagios-1.0_beta6      (1 Nov 2002)
+  1 Nov 2002; Dean Bailey <alron@gentoo.org> nagios-1.0_beta6 :
+  Initial import. Ebuild submitted by Dean Bailey <alron@gentoo.org>.
diff --git a/net-analyzer/nagios/nagios-1.0_beta6.ebuild b/net-analyzer/nagios/nagios-1.0_beta6.ebuild
new file mode 100644 (file)
index 0000000..05510a8
--- /dev/null
@@ -0,0 +1,35 @@
+# Copyright 1999-2002 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/nagios/nagios-1.0_beta6.ebuild,v 1.1 2002/11/02 05:55:41 alron Exp $
+
+DESCRIPTION="Nagios $PV - merge this to pull install all of the nagios packages"
+HOMEPAGE="http://www.nagios.org/"
+RDEPEND=`echo ~net-analyzer/nagios-{core-1.0_beta6,plugins-1.3_beta1,nrpe-1.5,nsca-2.1,imagepack-1.0}`
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~x86"
+pkg_postinst() {
+       einfo
+       einfo "Remember to edit the config files in /etc/nagios"
+       einfo "Also, if you want nagios to start at boot time"
+       einfo "remember to execute rc-update add nagios default"
+       einfo
+       einfo "To have nagios visable on the web, please do the following:"
+       einfo "1. Execute the command:"
+       einfo " \"ebuild /var/db/pkg/net-misc/${PF}/${PF}.ebuild config\""
+       einfo " 2. Edit /etc/conf.d/apache and add \"-D NAGIOS\""
+       einfo
+       einfo "That will make nagios's web front end visable via"
+       einfo "http://localhost/nagios/"
+       einfo
+       einfo "The Apache config file for nagios will be in"
+       einfo "/etc/apache/conf/addon-modules/ with the name of"
+       einfo "nagios.conf."
+       einfo "Also, if your kernel has /proc protection, nagios"
+       einfo "will not be happy as it relies on accessing the proc"
+       einfo "filesystem."
+       einfo
+}
+
+